Bug 97363 - RFE :%triggers should be fired for virtual packages
Summary: RFE :%triggers should be fired for virtual packages
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-13 17:26 UTC by Enrico Scholz
Modified: 2007-04-18 16:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-27 08:22:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec-file (289 bytes, text/plain)
2003-06-13 17:27 UTC, Enrico Scholz
no flags Details

Description Enrico Scholz 2003-06-13 17:26:42 UTC
Description of problem:

Triggers like 

| %triggerin ... -- vpkg

where 'vpkg' is the name of a virtual package (e.g. webserver), will not be
executed.


Version-Release number of selected component (if applicable):

rpm-4.2.1-0.11


How reproducible:
100%

Steps to Reproduce:
1. build rpms from attachement
   | rpmbuild -bb test1.spec
2. install packages
   | rpm -U test1-1-1.noarch.rpm test1-A-1-1.noarch.rpm
3. cat /root/test-trigger


Actual results:

cat: /root/test-trigger: No such file or directory


Expected results:

'Trigger fired for test1-data'

Comment 1 Enrico Scholz 2003-06-13 17:27:24 UTC
Created attachment 92391 [details]
spec-file

Comment 2 Jeff Johnson 2003-12-27 04:51:07 UTC
Hmmm, this is actually an RFE, as triggers are traditionally
fired by package name, not provide name.

I've achieved triggers fired by providename, but more than a little
testing needs to happen before I commit.

Comment 3 Jeff Johnson 2006-01-27 08:22:10 UTC
Fixed for quite some time. This is rpm-4.4.5 behavior:

[jbj@wellfleet test1]$ sudo rpm -Uvh *h.rpm
Preparing...                ########################################### [100%]
   1:test1-A                ########################################### [ 50%]
   2:test1                  ########################################### [100%]
Trigger fired for test1-A



Note You need to log in before you can comment on or make changes to this bug.